#ifndef MAIN_HPP
#define MAIN_HPP

#include "Json2SapLib.hpp"
#include "Utils.hpp"
#include "args.hpp"

namespace ss
{
	/*--------------------------------------------------------------------------------------------------------------
    * CLASS: MAIN
    *--------------------------------------------------------------------------------------------------------------*/  
	class Main
    {
	/*--------------------------------------------------------------------------------------------------------------
    * PRIVATE METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	private:
								Main							(void) {}
								~Main							(void) {}

	/*--------------------------------------------------------------------------------------------------------------
    * PUBLIC METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	public:
		static bool				Run							(CoCStr_t in_path, CoCStr_t out_path);
	
	};

}

#endif // MAIN_HPP

